package alx.p06_funkcje.teoria;

public class Narnia {

	public static void main(String[] args) {
		System.out.println("Wszyscy są w domu");
		System.out.println("Łucja chowa się w pokoju z szafą");
		wejdzDoSzafy("Łucja");
		System.out.println("Łucja wróciła do domu");
		
		wejdzDoSzafy("Łucja", "Zuzanna", "Piotr", "Edmund");
		System.out.println("Po wyeliminowaniu czarownicy wszyscy wrócili do domu.");
		
		String[] kolejneOsoby = {"Ala", "Ola", "Ela"};
		wejdzDoSzafy(kolejneOsoby);
	}
	
	// varargs - zmienna liczba argumentów
	// taki parametr z trzema kropkami może występować tylko 1, na samym końcu listy parametrów
	// wewnątrz funkcji on jest widziany jako tablica
	// a z zewnątrz można przekazać 1 tablicę albo wiele elementów po przecinku
	static void wejdzDoSzafy(String... kto) {
		System.out.println();
		System.out.println("Do Krainy Narni weszli:");
		for (String imie : kto) {
			System.out.println(" * " + imie);
		}
		
		System.out.println("Mają ciekawe przygody");
		System.out.println("I w końcu wracają");
		System.out.println();
	}

}
